posix_unblock_lock
Prev | File Locks | Next

## Name

posix_unblock_lock — stop waiting for a file lock

## Synopsis

`int posix_unblock_lock (` | struct file * | filp,
| struct file_lock * | waiter`)`;

## Arguments

`filp`

  how the file was opened

`waiter`

  the lock which was waiting

## Description

lockd needs to block waiting for locks.

Prev | Up | Next
vfs_lock_file | Home | vfs_cancel_lock